=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::InsightsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'InsightsApi' do
  before do
    # run before each test
    @instance = WeFitter::InsightsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of InsightsApi' do
    it 'should create an instance of InsightsApi' do
      expect(@instance).to be_instance_of(WeFitter::InsightsApi)
    end
  end

  # unit tests for insights_bio_age_read
  # Get someones biological age on a weekly basis.
  # 
  # @param start_date 
  # @param end_date 
  # @param [Hash] opts the optional parameters
  # @return [Array<BioAge>]
  describe 'insights_bio_age_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
